Get Claim
curl --request GET \
--url https://api.usecobalt.com/v1/claims/{id} \
--header 'access_token: <api-key>' \
--header 'client_id: <api-key>' \
--header 'client_secret: <api-key>'import requests
url = "https://api.usecobalt.com/v1/claims/{id}"
headers = {
"client_id": "<api-key>",
"client_secret": "<api-key>",
"access_token": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {client_id: '<api-key>', client_secret: '<api-key>', access_token: '<api-key>'}
};
fetch('https://api.usecobalt.com/v1/claims/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"claim": {
"id": "<string>",
"emr_claim_id": "<string>",
"emr_appointment_id": "<string>",
"service_date": "2023-12-25",
"claim_date": "2023-12-25",
"claim_status": "<string>",
"claim_status_description": "<string>",
"claim_type": "<string>",
"void_flag": true,
"emr_patient_id": "<string>",
"patient_name": "<string>",
"emr_provider_id": "<string>",
"provider_name": "<string>",
"total_charge": 123,
"total_payment": 123,
"net_payment": 123,
"balance": 123,
"net_adjustment": 123,
"patient_responsibility": 123,
"insurances": [
{
"insurance_id": "<string>",
"insurance_name": "<string>",
"insurance_type": "<string>",
"claim_indicator": "<string>",
"claim_indicator_description": "<string>",
"sequence_number": "<string>",
"subscriber_name": "<string>",
"subscriber_number": "<string>",
"subscriber_dob": "2023-12-25",
"subscriber_relation": "<string>",
"group_name": "<string>",
"group_number": "<string>",
"provider_number": "<string>",
"payment_source": "<string>",
"assign_benefits": "<string>",
"insurance_address_1": "<string>",
"insurance_address_2": "<string>",
"insurance_city": "<string>",
"insurance_state": "<string>",
"insurance_zip": "<string>",
"medicaid_id": "<string>"
}
],
"balances": {
"invoice_amount": "<string>",
"total_payment": "<string>",
"net_payment": "<string>",
"balance": "<string>",
"patient_balance": "<string>",
"patient_payment": "<string>",
"patient_responsibility": "<string>",
"on_plan": "<string>"
},
"icd_codes": [
"<string>"
],
"void_claim": {
"void_to_claim_id": "<string>",
"void_from_claim_id": "<string>",
"copy_to_claim_id": "<string>",
"copy_from_claim_id": "<string>"
},
"submission_history": {
"created_by": "<string>",
"entries": "<array>",
"auto_claim_data": {}
},
"billing_activity_log": [
{
"date": "<string>",
"action": "<string>",
"category": "<string>",
"notes": "<string>",
"user_name": "<string>"
}
],
"billing_notes": "<string>",
"line_items": [
{
"id": "<string>",
"line_number": 123,
"cpt_code": "<string>",
"description": "<string>",
"modifiers": [
"<string>"
],
"units": 123,
"billed_amount": 123,
"allowed_amount": 123,
"billed_unit_fee": 123,
"icd_pointers": [
"<string>"
],
"place_of_service": "<string>",
"type_of_service": "<string>",
"service_date_start": "2023-12-25",
"service_date_end": "2023-12-25",
"rendering_provider_npi": "<string>",
"ordering_provider_npi": "<string>",
"referring_provider_npi": "<string>"
}
],
"payments": [
{
"id": "<string>",
"emr_payment_id": "<string>",
"check_number": "<string>",
"payment_date": "2023-12-25",
"amount": 123,
"payment_type": "<string>",
"payer_name": "<string>",
"payer_type": "<string>",
"adjustment": 123,
"deductible": 123,
"coinsurance": 123,
"allowed": 123,
"member_balance": 123,
"withheld": 123,
"era_claim_status": "<string>",
"era_claim_status_code": "<string>",
"era_payer_name": "<string>",
"era_check_amount": 123,
"era_adjustment_codes": {}
}
],
"synced_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}Claims
Get Claim by ID
Returns a single claim with its line items, payments, and billing details by its Cobalt claim ID, for example the data.id from a claim webhook.
GET
/
claims
/
{id}
Get Claim
Example Request
curl -X GET https://api.usecobalt.com/v1/claims/a1b2c3d4e5f6789012345678abcdef90 \
-H 'client_id: ci_live_198908HJDKJSH98789OHKJL' \
-H 'client_secret: cs_live_9827hofdsklOYYHJLJh' \
-H 'access_token: 493JKLHIU98789hLKH9HHJH'
Example Response
{
"success": true,
"claim": {
"id": "a1b2c3d4e5f6789012345678abcdef90",
"emr_claim_id": "100234",
"emr_appointment_id": "500100",
"service_date": "2025-08-01",
"claim_date": "2025-08-08",
"claim_status": "48CL",
"claim_status_description": "Closed (48-hour rule)",
"claim_type": "0",
"void_flag": false,
"emr_patient_id": "40210",
"patient_name": "DOE, JANE, M",
"emr_provider_id": "10052",
"provider_name": "Smith, Robert",
"total_charge": "350.00",
"total_payment": "280.00",
"net_payment": "280.00",
"balance": "20.00",
"net_adjustment": "50.00",
"patient_responsibility": "20.00",
"icd_codes": ["M54.5", "Z96.641"],
"line_items": [
{
"id": "f1e2d3c4b5a6789012345678",
"line_number": 1,
"cpt_code": "99213",
"description": "Office visit, established patient",
"modifiers": ["25"],
"units": 1,
"billed_amount": 150.00,
"allowed_amount": 120.00,
"icd_pointers": ["1", "2"],
"place_of_service": "11",
"service_date_start": "2025-08-01",
"service_date_end": "2025-08-01",
"rendering_provider_npi": "1234567890"
}
],
"payments": [
{
"id": "d4c3b2a1f6e5789012345678",
"emr_payment_id": "55001",
"check_number": "EFT-20250825-001",
"payment_date": "2025-08-25",
"amount": 280.00,
"payment_type": "Insurance",
"payer_name": "Blue Cross Blue Shield",
"adjustment": 50.00,
"coinsurance": 20.00,
"allowed": 280.00,
"era_claim_status": "Processed as Primary"
}
],
"synced_at": "2025-08-31T04:40:00.002Z",
"created_at": "2025-08-31T04:40:00.002Z",
"updated_at": "2025-08-31T04:40:00.002Z"
}
}
Authorizations
Path Parameters
The Cobalt claim ID (the id returned by GET /claims or the data.id on a claim webhook).
⌘I